=== debian/control ===
Source: kitemmodels
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qml-module-qtquick-controls <!nocheck>,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtscript5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kitemmodels
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitemmodels
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitemmodels.git
Rules-Requires-Root: no

Package: libkf5itemmodels-dev
Section: libdevel
Architecture: any
Depends: libkf5itemmodels5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5itemmodels-doc (= ${source:Version}),
Description: additional item/view models for Qt Itemview
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

Package: libkf5itemmodels-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional item/view models for Qt Itemview (documentation)
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5itemmodels5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: additional item/view models for Qt Itemview
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.

Package: qml-module-org-kde-kitemmodels
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: additional item/view models for Qt Itemview (QML Bindings)
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the QML Bindings.
Breaks: libkf5itemmodels5 (<< 5.70.0-2~),
Replaces: libkf5itemmodels5 (<< 5.70.0-2~),
