=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kitemmodels
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qml-module-qtquick-controls <!nocheck>,
@@ -18,10 +19,10 @@
                qttools5-dev-tools (>= 5.4),
                xauth,
                xvfb,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kitemmodels
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitemmodels
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitemmodels.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemmodels
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemmodels
 Rules-Requires-Root: no
 
 Package: libkf5itemmodels-dev
